#!/bin/bash

cd $(echo $0 | sed "s/[^\/]*$/\/data/")

echo "Single Recipe Page Parsing:"
../../recipe/allrecipes.pl -p "allrecipes_parse_test.html" | ../recipe_unit_tester.pl ../out.txt

echo "Single List Page to Single Recipe Parsing:"
../../recipe/allrecipes.pl -u "file:./allrecipes_s2s_list_test.html" | ../recipe_unit_tester.pl ../out.txt

echo "Single List Page to Multiple Recipe Parsing:"
../../recipe/allrecipes.pl -u "file:./allrecipes_s2m_list_test.html" | ../recipe_unit_tester.pl ../out2.txt

echo "Multiple List Page to Multiple Recipe Parsing:"
../../recipe/allrecipes.pl -u "file:./allrecipes_m2m_list_1_test.html" | ../recipe_unit_tester.pl ../out3.txt
